class Trackster::PageviewsController < ApplicationController
  before_action :authenticate
  
  def index
    @pageviews = Pageview.select("url, count(*) as visits, visit_date").group(:url, :visit_date).order(:visit_date)
    respond_to do |format|
      format.html
      format.csv { send_data @pageviews.to_csv }
    end
  end

  protected

  def authenticate
    authenticate_or_request_with_http_basic do |username, password|
      username == Trackster::Engine.results_page_username && password == Trackster::Engine.results_page_password
    end
  end

end
