module Trackster
  module TracksterController
    
    module ClassMethods
      def trackster
        before_action :trackster_count_visit
      end
    end

    module InstanceMethods
      def trackster_count_visit
        begin
          is_matched = false
          request_path = request.path
          trackable_urls = Trackster::Engine.trackable_urls
          trackable_regex = Trackster::Engine.trackable_regex

          trackable_regex.each do |url|
            url_as_regex = /#{url}/
            if url_as_regex.match(request_path)
              pageview = Pageview.create!(url: url, visit_date: Date.today)
              is_matched = true
              break
            end
          end

          if !is_matched
            trackable_urls.each do |url|
              if url == request_path
                pageview = Pageview.create!(url: url, visit_date: Date.today)
                break
              end
            end
          end
        
        rescue Exception => ex
          puts ex.message
        end

      end
    end
  end
end