module Trackster
  class Engine < ::Rails::Engine
    #isolate_namespace Trackster

    initializer 'trackster.controller' do

      ActiveSupport.on_load(:action_controller) do
       include TracksterController::InstanceMethods
       extend TracksterController::ClassMethods
     end
    end

    initializer :append_migrations do |app|
      unless app.root.to_s.match root.to_s
        config.paths["db/migrate"].expanded.each do |expanded_path|
          app.config.paths["db/migrate"] << expanded_path
        end
      end
    end

    class << self
      mattr_accessor :results_page_username, :results_page_password, :trackable_urls, :trackable_regex
      self.results_page_username = "admin"
      self.results_page_password = "password"
      self.trackable_urls = ["/"]
      self.trackable_regex = []
    end

    # this function maps the vars from app into engine
    def self.setup
      yield self
    end

  end
end
